Package org.apache.storm.perf.utils

# Class MetricsSample

java.lang.Object
org.apache.storm.perf.utils.MetricsSample

public class MetricsSample extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetricsSample()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetricsSample`
  `factory(Nimbus.Iface client, String topologyName)`
  `int`
  `getNumExecutors()`
  `int`
  `getNumSupervisors()`
  `int`
  `getNumTasks()`
  `int`
  `getNumWorkers()`
  `long`
  `getSampleTime()`
  `long`
  `getSpoutEmitted()`
  `int`
  `getSpoutExecutors()`
  `long`
  `getSpoutTransferred()`
  `long`
  `getTotalAcked()`
  `long`
  `getTotalEmitted()`
  `long`
  `getTotalFailed()`
  `double`
  `getTotalLatency()`
  `int`
  `getTotalSlots()`
  `long`
  `getTotalTransferred()`
  `int`
  `getUsedSlots()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetricsSample

    public MetricsSample()

- ## Method Details

  - ### factory

    public static MetricsSample factory(Nimbus.Iface client, String topologyName) throws Exception
    Throws:
      `Exception`

  - ### getSampleTime

    public long getSampleTime()

  - ### getTotalTransferred

    public long getTotalTransferred()

  - ### getTotalEmitted

    public long getTotalEmitted()

  - ### getTotalAcked

    public long getTotalAcked()

  - ### getTotalFailed

    public long getTotalFailed()

  - ### getTotalLatency

    public double getTotalLatency()

  - ### getSpoutEmitted

    public long getSpoutEmitted()

  - ### getSpoutTransferred

    public long getSpoutTransferred()

  - ### getNumSupervisors

    public int getNumSupervisors()

  - ### getNumWorkers

    public int getNumWorkers()

  - ### getNumTasks

    public int getNumTasks()

  - ### getTotalSlots

    public int getTotalSlots()

  - ### getSpoutExecutors

    public int getSpoutExecutors()

  - ### getNumExecutors

    public int getNumExecutors()

  - ### getUsedSlots

    public int getUsedSlots()